Update vehicle
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/vehicles/{vehicle_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"license_plate": "<string>",
"registration_state": "<string>",
"co_owner_name": "<string>",
"estimated_value": 123,
"lien_holder": "<string>",
"lien_payoff_amount": 123,
"mileage": 123,
"location": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/vehicles/{vehicle_id}"
payload = {
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"license_plate": "<string>",
"registration_state": "<string>",
"co_owner_name": "<string>",
"estimated_value": 123,
"lien_holder": "<string>",
"lien_payoff_amount": 123,
"mileage": 123,
"location": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 123,
make: '<string>',
model: '<string>',
vin: '<string>',
license_plate: '<string>',
registration_state: '<string>',
co_owner_name: '<string>',
estimated_value: 123,
lien_holder: '<string>',
lien_payoff_amount: 123,
mileage: 123,
location: '<string>',
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/vehicles/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9VH01AJ0T77HRYE78AN7VVV",
"case_id": "<string>",
"vehicle_type": "automobile",
"year": 2019,
"make": "Toyota",
"model": "Camry",
"vin": "***ABC123",
"license_plate": "<string>",
"registration_state": "UT",
"title_status": "clean",
"ownership_type": "sole_owner",
"co_owner_name": "<string>",
"estimated_value": 18500,
"lien_holder": "<string>",
"lien_payoff_amount": 123,
"equity_estimate": 123,
"mileage": 45000,
"location": "<string>",
"disposition": "pending_decision",
"disposition_details": {
"transferred_to": "<string>",
"sale_price": 123,
"sale_date": "2023-12-25",
"buyer_name": "<string>"
},
"title_transfer_status": "not_started",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Vehicles
Update vehicle
PATCH
/
cases
/
{case_id}
/
vehicles
/
{vehicle_id}
Update vehicle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
automobile, motorcycle, recreational_vehicle, boat, commercial_vehicle, classic_car, trailer, off_highway_vehicle, farm_equipment, aircraft, other Full VIN.
Required string length:
2Available options:
clean, salvage, rebuilt, lien_present, missing, unknown Available options:
sole_owner, joint_owner, transfer_on_death, leased, other Available options:
kelley_blue_book, nada, edmunds, appraisal, owner_estimate Available options:
excellent, good, fair, poor Available options:
keep, transfer_to_heir, sell, donate, junk, pending_decision Response
Vehicle updated.
Show child attributes
Show child attributes
⌘I

